- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClassNotFoundException Class Reference

Inherits Exception.

List of all members.

## Detailed Description

Thrown when an application tries to load in a class through its string name but no definition for the class with the specified name could be found.

## Public Member Functions
| ClassNotFoundException (const LogString &className)
| ClassNotFoundException (const ClassNotFoundException &msg)
ClassNotFoundException & | operator= (const ClassNotFoundException &msg)

## Constructor & Destructor Documentation

ClassNotFoundException | ( | const LogString & | className | ) |

ClassNotFoundException | ( | const ClassNotFoundException & | msg | ) |

## Member Function Documentation

ClassNotFoundException& operator= | ( | const ClassNotFoundException & | msg | ) |

The documentation for this class was generated from the following file:

- exception.h